FROM debian

ENV INFLUXDB_VERSION 1.0.0
ENV CHRONOGRAF_VERSION 1.0.0
RUN apt-get update && apt-get install -y wget && \
    apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/* && \
    wget -q https://dl.influxdata.com/influxdb/releases/influxdb_${INFLUXDB_VERSION}_amd64.deb && \
    wget -q https://dl.influxdata.com/chronograf/releases/chronograf_${CHRONOGRAF_VERSION}_amd64.deb && \
    dpkg -i influxdb_${INFLUXDB_VERSION}_amd64.deb chronograf_${CHRONOGRAF_VERSION}_amd64.deb && \
    rm -f influxdb_${INFLUXDB_VERSION}_amd64.deb chronograf_${CHRONOGRAF_VERSION}_amd64.deb

EXPOSE 8083 8086 10000

VOLUME /var/lib/influxdb
VOLUME /var/lib/chronograf

COPY influxdb.conf /etc/influxdb/influxdb.conf
COPY chronograf.conf /etc/chronograf/chronograf.conf

# start.sh should already be executable
COPY start.sh /usr/bin/start.sh

CMD ["start.sh"]
